///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.DeployedScripts.DeployedScripts.Abstracts.AnimationDrivers;

// #abs AnimationDrivers\RangeColorReducerRealFrequency

namespace Fluogen.DeployedScripts.AnimationDrivers
{
	public class ReducedColorRealFrequencyForLowRange : RangeColorReducerRealFrequency
	{
		protected override IColorReducerConfiguration GetColorReducer( IFluonConfiguration fcFrame )
		{
			return fcFrame.LowRangeColorReducer;
		}
	}
}
