///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;
using Got.Libraries;

namespace Fluogen.DeployedScripts.DomainProjectors
{
	public class RadiusCos : DomainProjector<DummyScriptConfiguration>
	{
		public override string Description => "x.r = (x.r * s1 + s2).Cos";

		public override Mdn Project( IFluonContext fx, IFluonConfiguration fc, IPixelContext px, Mdn x )
		{
			x.RadiusA = (x.RadiusA * fc.DomainProjectorS1 + fc.DomainProjectorS2).Cos();

			return x;
		}
	}
}
