///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Color;
using Fluogen.Dependz.Configuration;
using Fluogen.Dependz.Contexts;
using Got.Libraries;

namespace Fluogen.DeployedScripts.FluonGenerators
{
	public class Palette : FluonGenerator<DummyScriptConfiguration>
	{
		public override IGeneratedCodomainContext Compute( IFluonContext fx, IFluonConfiguration fc, IPixelContext px, Mdn x )
		{
			return new GeneratedCodomainContextForMdn( x, new ColorDeterminant( x[ 0 ] ), 0, true, x, x, 0, 0 );
		}
	}
}
