///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class Ultrafractal : MonotoneCubicGradientPalette<DummyScriptConfiguration>
	{
		protected override IGradientPaletteMarkList GetMarks( IFluonConfiguration fc )
		{
			return new GradientPaletteMarkList
			{
				Hsl( 0.00,     0,     0,     0 ),
				Hsl( 0.15,  6700, 10000,  2000 ),
				Hsl( 0.30,  6700,  7100,  4700 ),
				Hsl( 0.55,  1050, 10000,  9700, true ),
				Hsl( 0.80,  1050, 10000,  5200 ),
				Hsl( 1.00,     0,     0,     0 )
			};
		}
	}
}
