///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.ColorReducers;
using Fluogen.Dependz.Configuration;
using Got.Libraries;

namespace Fluogen.DeployedScripts.ColorReducers
{
	public class PowAbsOnUnitary : NonLinearOnUnitaryColorReducer<DummyScriptConfiguration>
	{
		public override string Description => "rs ^ s1";

		protected override double ApplyNonLinearUnitary( IFluonContext fx, IFluonConfiguration fc, IColorReducerConfiguration crp, double x )
		{
			return x.PowA( crp.S1 );
		}
	}
}
