///////////////////////////////////////////////////////////////////////////////
//
// Developed by Gardener of Thoughts (gardenerofthoughts.org).
// Released under a "Common Sense License".
//
///////////////////////////////////////////////////////////////////////////////

using Fluogen.Dependz;
using Fluogen.Dependz.Configuration;

namespace Fluogen.DeployedScripts.Palettes
{
	public class Ultrafractal3 : MonotoneCubicGradientPalette<DummyScriptConfiguration>
	{
		protected override IGradientPaletteMarkList GetMarks( IFluonConfiguration fc )
		{
			return new GradientPaletteMarkList
			{
				Hsl( 0.0000,  2700,  3800,  1800 ),
				Hsl( 0.0900,  2900,  5900,  2200 ),
				Hsl( 0.4800,  1250,  9800,  5700, true ),
				Hsl( 0.9000,  8900, 10000,  1000 ),
				Hsl( 1.0000,  2700,  3800,  1800 )
			};
		}
	}
}
